<?php

namespace App\Livewire;

use App\Models\Application;
use Livewire\Component;
use Livewire\Attributes\Layout;

#[Layout('components.layouts.guest')]
class ApplicationStatus extends Component
{
    public $uuid;

    public $application;

    public function mount(string $uuid)
    {
        $this->uuid = $uuid;
        $this->loadApplication();
    }

    public function loadApplication()
    {
        $this->application = Application::with('uploads')->where('uuid', $this->uuid)->firstOrFail();
    }

    public function render()
    {
        return view('livewire.application-status')->with([
            'application' => $this->application,
        ]);
    }
}
