<?php

namespace App\Livewire\Settings;

use App\Models\Settings;
use Livewire\Component;

class Synapse extends Component
{
    public string $synapseEndpoint;

    public string $synapseAccessToken;

    /**
     * Mount the component.
     */
    public function mount(): void
    {
        $this->synapseEndpoint = Settings::get('synapse_endpoint', '');
        $this->synapseAccessToken = Settings::get('synapse_access_token', '');
    }

    public function save(): void
    {
        Settings::set('synapse_endpoint', $this->synapseEndpoint);
        Settings::set('synapse_access_token', $this->synapseAccessToken);
    }

    public function render()
    {
        return view('livewire.settings.synapse');
    }
}
