<div wire:poll.10s="loadApplication" class="max-w-2xl w-full md:w-xl mx-auto mt-10 flex flex-col gap-6">

    @if ($application->status === 0)
        <flux:callout variant="warning" icon="exclamation-circle">
            <flux:callout.heading>Application pending</flux:callout.heading>
            <flux:callout.text>
                Your application is waiting for review. This process can take 24-48 hours.
                <br>
                This site automatically refreshes, no need to reload manually.
            </flux:callout.text>
        </flux:callout>

        <flux:callout variant="secondary" icon="information-circle" heading="Message" text="{{ $application->message }}" />

        <h2 class="mt-4 font-semibold">Uploaded Photos:</h2>
        <div class="flex flex-wrap gap-4 mt-4">
            @foreach ($application->uploads as $upload)
                <div>
                    <img class="h-48 w-fit object-cover rounded-2xl hover:-translate-y-1 hover:scale-110 transition duration-300 ease-in-out"
                        src="{{ asset('storage/' . $upload->file_path) }}">
                </div>
            @endforeach
        </div>
    @elseif($application->status === 1)
        <flux:callout variant="success" icon="check-circle">
            <flux:callout.heading>Application approved</flux:callout.heading>
            <flux:callout.text>
                @if ($application->registration_token)
                    <p class="pt-2 pb-2">
                        <strong>Registration Token (valid until
                            {{ $application->updated_at->addWeek()->format('Y-m-d') }})</strong>
                    </p>
                    <flux:input class="mb-2" icon="key" value="{{ $application->registration_token }}" readonly
                        copyable />
                    To sign up, you should use <flux:callout.link href="https://element.lolispace.moe">Element Web
                    </flux:callout.link>
                    or
                    Element Desktop, as the registration token is not compatible
                    with the mobile clients.
                @endif
            </flux:callout.text>
        </flux:callout>
    @elseif($application->status === 2)
        <flux:callout variant="danger" icon="x-circle" heading="Application denied"
            text="Your application has been denied. You can create a new application." />
    @endif

</div>
